Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface RosettaNetControl

    public interface RosettaNetControl

Basic RosettaNet control. This will declare the public methods & callback methods that are available by this control. These methods will be implemented by the RosettaNetControlImpl class.

- sendMessage()
: Sends the specified message to a trading partner.

Nested Class Summary
`static interface` | `RosettaNetControl.CallbackIntf` The following methods are available after a JCX instance is created.
`static class` | `RosettaNetControl.RNIF_VERSION` This enum specifies the RN versions that are supported.
`static interface` | `RosettaNetControl.RosettaNet` Specifies the class-level annotations for the RosettaNet Control. Note:Annotations can be specified at the control class level, at the control instance level, and at the control method level, in increasing order of precedence.

Method Summary
`String` | `getProcessTimeout()` Returns the amount of time to wait for the entire business process to complete before timing out.
`com.bea.wli.control.dynamicProperties.RosettaNetControlPropertiesDocument` | `getProperties()` Get the dynamic properties for the RosettaNet control
`int` | `getRetryCount()` Returns the maximum number of retries for sending the message
`String` | `getRetryInterval()` Returns the time interval between retries
`void` | `sendAck()` Sends an acknowledgement of receipt of a business message to a trading partner and accepts the request.
`void` | `sendError()` Sends an Exception
`void` | `sendReject()` Sends an acknowledgement of receipt of the business message to a trading partner, but rejects the request.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.RosettaNetControlPropertiesDocument xmlPropsDoc)` Sets dynamic properties at run-time, such as the business ID of the sender or recipient.

Method Detail

### setProperties

    void setProperties(com.bea.wli.control.dynamicProperties.RosettaNetControlPropertiesDocument xmlPropsDoc)

  Sets dynamic properties at run-time, such as the business ID of the sender or recipient. Use this method to set the debug mode during testing.

  Parameters:
    `xmlPropsDoc` - the dynamic properties for the RosettaNet control

### getProperties

    com.bea.wli.control.dynamicProperties.RosettaNetControlPropertiesDocument getProperties()

  Get the dynamic properties for the RosettaNet control

  Returns:
    the dynamic properties for the RosettaNet control

### sendAck

    void sendAck()

  Sends an acknowledgement of receipt of a business message to a trading partner and accepts the request.

### sendReject

    void sendReject()

  Sends an acknowledgement of receipt of the business message to a trading partner, but rejects the request.

### sendError

    void sendError()

  Sends an Exception

### getRetryCount

    int getRetryCount()

  Returns the maximum number of retries for sending the message

### getRetryInterval

    String getRetryInterval()

  Returns the time interval between retries

### getProcessTimeout

    String getProcessTimeout()

  Returns the amount of time to wait for the entire business process to complete before timing out.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD